## edu.stanford.nlp.trees.tregex
Interface TregexParserConstants

All Known Implementing Classes:
  TregexParserTokenManager

    public interface TregexParserConstants

Token literal values and constants. Generated by org.javacc.parser.OtherFilesGen#start()

Field Summary
`static int` `BLANK` RegularExpression Id.
`static int` `DEFAULT` Lexical state.
`static int` `EOF` End of File.
`static int` `IDENTIFIER` RegularExpression Id.
`static int` `NUMBER` RegularExpression Id.
`static int` `REGEX` RegularExpression Id.
`static int` `REL_W_STR_ARG` RegularExpression Id.
`static int` `RELATION` RegularExpression Id.
`static String[]` `tokenImage` Literal token values.
`static int` `VARNAME` RegularExpression Id.

Field Detail

### EOF

    static final int EOF

  End of File.

  See Also:
    Constant Field Values

### RELATION

    static final int RELATION

  RegularExpression Id.

  See Also:
    Constant Field Values

### REL_W_STR_ARG

    static final int REL_W_STR_ARG

  RegularExpression Id.

  See Also:
    Constant Field Values

### NUMBER

    static final int NUMBER

  RegularExpression Id.

  See Also:
    Constant Field Values

### IDENTIFIER

    static final int IDENTIFIER

  RegularExpression Id.

  See Also:
    Constant Field Values

### BLANK

    static final int BLANK

  RegularExpression Id.

  See Also:
    Constant Field Values

### REGEX

    static final int REGEX

  RegularExpression Id.

  See Also:
    Constant Field Values

### VARNAME

    static final int VARNAME

  RegularExpression Id.

  See Also:
    Constant Field Values

### DEFAULT

    static final int DEFAULT

  Lexical state.

  See Also:
    Constant Field Values

### tokenImage

    static final String[] tokenImage

  Literal token values.

Stanford NLP Group